![Olfactory cues in turbulent air](img/Odor_Plume.jpg)

This site contains the documentation for the `olfactory-navigation` framework.

This project consists in a framework that allows one to define an olfactory environment and agents to navigate this environment in order to try and find the source of an odor using exclusively its sense of smell.

We can imagine for instance a dog attempting to find a treat in a field where the wind carries the odor towards him.

The framework aims to allow a user to create agents using different techniques and evaluate its performance (computational and technical) during simulations on olfactory environments.


## Table Of Contents

1. Code Reference

    1.1 [olfactory_navigation](reference/index.md)

2. Tutorials

    2.1 [What is an Environment?](tutorials/environment_description.md)

    2.2 [What is an Agent?](tutorials/agent_description.md)

    2.3 [How does a simulation work?](tutorials/simulation_process.md)

    2.4 [What tests are available?](tutorials/available_tests.md)


## PiMLb

This framework was built within the ERC funded project RIDING, by the [PiMLb](https://malga.unige.it/research/pimlb) unit of the [Malga](https://malga.unige.it) lab.

<img src="img/ERC.jpg" alt="ERC Logo" width="25%"/>
<img src="img/MaLGa_white_bg.png" alt="Malga Logo" width="25%"/>
